# ava not yet packaged
%global enable_tests 0
%global srcname path-exists

%global commit0 a8d30de3a24e7d71ae2c30a057525e603205447d
%global gittag0 v2.0.0
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        2.2.0
Release:        1%{?dist}
Summary:        Promisify a callback-style function
License:        MIT
URL:            https://www.npmjs.com/package/%{srcname}
Source0:        https://github.com/sindresorhus/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules/

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
ava
%endif


%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}


%changelog
* Sat Oct 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.0-1
- Initial package
